Subject: Re: [PATCH v2] unix: properly account for FDs passed over unix sockets

From: Willy Tarreau <[email-masked]>
Date: Tue, 2 Feb 2016 21:49:55 +0100

On Tue, Feb 02, 2016 at 12:44:54PM -0800, Linus Torvalds wrote:
> On Tue, Feb 2, 2016 at 12:32 PM, Hannes Frederic Sowa
> <[email-masked]> wrote:
> > But "struct pid *" in unix_skb_parms should be enough to get us to
> > corresponding "struct cred *" so we can decrement the correct counter during
> > skb destruction.
> 
> Umm. I think the "struct cred" may change in between, can't it?

You mean for example in case of setuid() or something like this ?

willy